Loading...
Searching...
No Matches
AVEncryptionInitInfo Struct Reference

This describes info used to initialize an encryption key system. More...

`#include <libavutil/encryption_info.h>`

## Data Fields

uint8_t * | system_id
| A unique identifier for the key system this is for, can be NULL if it is not known.
uint32_t | system_id_size
uint8_t ** | key_ids
| An array of key IDs this initialization data is for.
uint32_t | num_key_ids
| The number of key IDs.
uint32_t | key_id_size
| The number of bytes in each key ID.
uint8_t * | data
| Key-system specific initialization data.
uint32_t | data_size
struct AVEncryptionInitInfo * | next
| An optional pointer to the next initialization info in the list.

## Detailed Description

This describes info used to initialize an encryption key system.

The size of this struct is not part of the public ABI.

Definition at line 88 of file encryption_info.h.

## Field Documentation

## system_id

uint8_t* AVEncryptionInitInfo::system_id

A unique identifier for the key system this is for, can be NULL if it is not known.

This should always be 16 bytes, but may change in the future.

Definition at line 94 of file encryption_info.h.

## system_id_size

uint32_t AVEncryptionInitInfo::system_id_size

Definition at line 95 of file encryption_info.h.

## key_ids

uint8_t** AVEncryptionInitInfo::key_ids

An array of key IDs this initialization data is for.

All IDs are the same length. Can be NULL if there are no known key IDs.

Definition at line 101 of file encryption_info.h.

## num_key_ids

uint32_t AVEncryptionInitInfo::num_key_ids

The number of key IDs.

Definition at line 103 of file encryption_info.h.

## key_id_size

uint32_t AVEncryptionInitInfo::key_id_size

The number of bytes in each key ID.

This should always be 16, but may change in the future.

Definition at line 108 of file encryption_info.h.

## data

uint8_t* AVEncryptionInitInfo::data

Key-system specific initialization data.

This data is copied directly from the file and the format depends on the specific key system. This can be NULL if there is no initialization data; in that case, there will be at least one key ID.

Definition at line 116 of file encryption_info.h.

## data_size

uint32_t AVEncryptionInitInfo::data_size

Definition at line 117 of file encryption_info.h.

## next

struct AVEncryptionInitInfo* AVEncryptionInitInfo::next

An optional pointer to the next initialization info in the list.

Definition at line 122 of file encryption_info.h.

The documentation for this struct was generated from the following file:

- libavutil/encryption_info.h